Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogicx.jsp.tags
Class BeanParamTag

    java.lang.Object
      weblogicx.jsp.tags.BeanParamTag

All Implemented Interfaces:
  BodyTag, IterationTag, JspTag, Tag

public class BeanParamTag
extends Object
implements BodyTag

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BeanParamTag()`

Method Summary
`int` | `doAfterBody()` methods of javax.servlet.jsp.tagext.BodyTag
`int` | `doEndTag()`
`void` | `doInitBody()`
`int` | `doStartTag()` methods of javax.servlet.jsp.tagext.Tag
`int` | `getIndex()`
`String` | `getInterpreterClass()`
`boolean` | `getIterate()`
`String` | `getObject()`
`Tag` | `getParent()`
`boolean` | `getRelative()`
`void` | `release()`
`void` | `setBodyContent(BodyContent bc)`
`void` | `setInterpreterClass(String interpreterClass)`
`void` | `setIterate(boolean b)`
`void` | `setObject(String id)`
`void` | `setPageContext(PageContext pc)`
`void` | `setParent(Tag p)`
`void` | `setRelative(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanParamTag

    public BeanParamTag()

Method Detail

### doAfterBody

    public int doAfterBody()
                    throws JspException

  methods of javax.servlet.jsp.tagext.BodyTag

  Specified by:
    `doAfterBody` in interface `IterationTag`
  Throws:
    `JspException`

### doEndTag

    public int doEndTag()
                 throws JspException

  Specified by:
    `doEndTag` in interface `Tag`
  Throws:
    `JspException`

### doInitBody

    public void doInitBody()
                    throws JspException

  Specified by:
    `doInitBody` in interface `BodyTag`
  Throws:
    `JspException`

### doStartTag

    public int doStartTag()
                   throws JspException

  methods of javax.servlet.jsp.tagext.Tag

  Specified by:
    `doStartTag` in interface `Tag`
  Throws:
    `JspException`

### getIndex

    public int getIndex()

### getInterpreterClass

    public String getInterpreterClass()

### getIterate

    public boolean getIterate()

### getObject

    public String getObject()

### getParent

    public Tag getParent()

  Specified by:
    `getParent` in interface `Tag`

### getRelative

    public boolean getRelative()

### release

    public void release()

  Specified by:
    `release` in interface `Tag`

### setBodyContent

    public void setBodyContent(BodyContent bc)

  Specified by:
    `setBodyContent` in interface `BodyTag`

### setInterpreterClass

    public void setInterpreterClass(String interpreterClass)

### setIterate

    public void setIterate(boolean b)

### setObject

    public void setObject(String id)
                   throws Exception

  Throws:
    `Exception`

### setPageContext

    public void setPageContext(PageContext pc)

  Specified by:
    `setPageContext` in interface `Tag`

### setParent

    public void setParent(Tag p)

  Specified by:
    `setParent` in interface `Tag`

### setRelative

    public void setRelative(boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD